Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063530 - RHEV 3.3 repo is not available in redhat.repo file
Summary: RHEV 3.3 repo is not available in redhat.repo file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 1056252 rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-02-10 23:00 UTC by Nikhil Gupta
Modified: 2019-04-16 14:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 19:07:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 429003 None None None Never

Description Nikhil Gupta 2014-02-10 23:00:38 UTC
Description of problem:
When upgrading RHEV plattform to the 3.3 version. I started with the first command that is mentioned in the upgrade guide, here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/Upgrading_to_Red_Hat_Enterprise_Virtualization_Manager_3.3.html

I.e. I issued: 

# yum-config-manager --enable rhel-6-server-rhevm-3.3-rpms
Loaded plugins: product-id, refresh-packagekit, versionlock

The command seems not have made any changes since I cannot see the new repo e.g. in the repo list with

# subscription-manager repos

Now, subscription-manager list shows version 3.2 for RHEV.


# subscription-manager list 
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Virtualization
Product ID:     150
Version:        3.2
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         11/06/2013
Ends:           11/06/2018

Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        6.3
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         08/01/2013
Ends:           08/01/2018

Why 'redhat.repo' file is not updated with latest RHEV channel i.e. 3.3?

I have tried deleting /etc/yum.repos.d/redhat.repo and running below commands but no changes:

# subscription-manager refresh 
# subscription-manager repos


Actual results:
Not getting subscribed to RHEV 3.3 channel as it is not present in 'redhat.repo' file.

Expected results:
Should be subscribed to RHEV 3.3 channel.

Additional info:
Steps given in below article can be used as workaround:
Yum repository not available for Red Hat Enterprise Virtualization 3.x
https://access.redhat.com/site/solutions/429003

Comment 2 John Sefler 2014-02-11 00:06:34 UTC
Appears to be working for me using subscription-manager version 1.9.11...

[root@jsefler-6server ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: Unknown
subscription-manager: 1.9.11-1.el6
python-rhsm: 1.9.6-1.el6



[root@jsefler-6server ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Virtualization
Product ID:     150
Version:        3.2
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         04/23/2013
Ends:           12/31/2021

Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        6.5
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         04/23/2013
Ends:           12/31/2021

[root@jsefler-6server ~]# yum repolist all | grep rhevm
This system is receiving updates from Red Hat Subscription Management.
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
rhel-6-server-rhevm-3-beta-debug-rpms               Red Hat Ente disabled
rhel-6-server-rhevm-3-beta-rpms                     Red Hat Ente disabled
rhel-6-server-rhevm-3-beta-source-rpms              Red Hat Ente disabled
rhel-6-server-rhevm-3-debug-rpms                    Red Hat Ente disabled
rhel-6-server-rhevm-3-rpms                          Red Hat Ente disabled
rhel-6-server-rhevm-3-source-rpms                   Red Hat Ente disabled
rhel-6-server-rhevm-3.1-debug-rpms                  Red Hat Ente disabled
rhel-6-server-rhevm-3.1-rpms                        Red Hat Ente disabled
rhel-6-server-rhevm-3.1-source-rpms                 Red Hat Ente disabled
rhel-6-server-rhevm-3.2-debug-rpms                  Red Hat Ente disabled
rhel-6-server-rhevm-3.2-rpms                        Red Hat Ente disabled
rhel-6-server-rhevm-3.2-source-rpms                 Red Hat Ente disabled
rhel-6-server-rhevm-3.3-debug-rpms                  Red Hat Ente disabled
rhel-6-server-rhevm-3.3-rpms                        Red Hat Ente disabled
rhel-6-server-rhevm-3.3-source-rpms                 Red Hat Ente disabled
[root@jsefler-6server ~]#

NOTICE: all of the rhevm repos above are disabled by default


[root@jsefler-6server ~]# yum-config-manager --enable rhel-6-server-rhevm-3.3-rpms
Loaded plugins: product-id, refresh-packagekit, rhnplugin
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
============================ repo: rhel-6-server-rhevm-3.3-rpms =============================
[rhel-6-server-rhevm-3.3-rpms]
bandwidth = 0
base_persistdir = /var/lib/yum/repos/x86_64/6Server
baseurl = https://cdn.redhat.com/content/dist/rhel/server/6/6Server/x86_64/rhevm/3.3/os
cache = 0
cachedir = /var/cache/yum/x86_64/6Server/rhel-6-server-rhevm-3.3-rpms
cost = 1000
enabled = True
enablegroups = True
exclude = 
failovermethod = priority
gpgcadir = /var/lib/yum/repos/x86_64/6Server/rhel-6-server-rhevm-3.3-rpms/gpgcadir
gpgcakey = 
gpgcheck = True
gpgdir = /var/lib/yum/repos/x86_64/6Server/rhel-6-server-rhevm-3.3-rpms/gpgdir
gpgkey = file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
hdrdir = /var/cache/yum/x86_64/6Server/rhel-6-server-rhevm-3.3-rpms/headers
http_caching = all
includepkgs = 
keepalive = True
mdpolicy = group:primary
mediaid = 
metadata_expire = 86400
metalink = 
mirrorlist = 
mirrorlist_expire = 86400
name = Red Hat Enterprise Virtualization Manager 3.3 (RPMs)
old_base_cache_dir = 
password = 
persistdir = /var/lib/yum/repos/x86_64/6Server/rhel-6-server-rhevm-3.3-rpms
pkgdir = /var/cache/yum/x86_64/6Server/rhel-6-server-rhevm-3.3-rpms/packages
proxy = 
proxy_dict = 
proxy_password = 
proxy_username = 
repo_gpgcheck = False
retries = 10
skip_if_unavailable = False
ssl_check_cert_permissions = True
sslcacert = /etc/rhsm/ca/redhat-uep.pem
sslclientcert = /etc/pki/entitlement/4160085089187070130.pem
sslclientkey = /etc/pki/entitlement/4160085089187070130-key.pem
sslverify = True
throttle = 0
timeout = 30.0
username = 

[root@jsefler-6server ~]# 
[root@jsefler-6server ~]# yum repolist all | grep rhevm
This system is receiving updates from Red Hat Subscription Management.
This system is not registered with RHN Classic or RHN Satellite.
You can use rhn_register to register.
RHN Satellite or RHN Classic support will be disabled.
rhel-6-server-rhevm-3-beta-debug-rpms               Red Hat Ente disabled
rhel-6-server-rhevm-3-beta-rpms                     Red Hat Ente disabled
rhel-6-server-rhevm-3-beta-source-rpms              Red Hat Ente disabled
rhel-6-server-rhevm-3-debug-rpms                    Red Hat Ente disabled
rhel-6-server-rhevm-3-rpms                          Red Hat Ente disabled
rhel-6-server-rhevm-3-source-rpms                   Red Hat Ente disabled
rhel-6-server-rhevm-3.1-debug-rpms                  Red Hat Ente disabled
rhel-6-server-rhevm-3.1-rpms                        Red Hat Ente disabled
rhel-6-server-rhevm-3.1-source-rpms                 Red Hat Ente disabled
rhel-6-server-rhevm-3.2-debug-rpms                  Red Hat Ente disabled
rhel-6-server-rhevm-3.2-rpms                        Red Hat Ente disabled
rhel-6-server-rhevm-3.2-source-rpms                 Red Hat Ente disabled
rhel-6-server-rhevm-3.3-debug-rpms                  Red Hat Ente disabled
rhel-6-server-rhevm-3.3-rpms                        Red Hat Ente enabled:     72
rhel-6-server-rhevm-3.3-source-rpms                 Red Hat Ente disabled
[root@jsefler-6server ~]# 

VERIFIED: rhel-6-server-rhevm-3.3-rpms is now enabled as indicated by yum repolist

[root@jsefler-6server ~]# subscription-manager repos --list | grep -A4 rhel-6-server-rhevm-3.3-rpms
Repo ID:   rhel-6-server-rhevm-3.3-rpms
Repo Name: Red Hat Enterprise Virtualization Manager 3.3 (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/6/$releas
           ever/$basearch/rhevm/3.3/os
Enabled:   1
[root@jsefler-6server ~]#

VERIFIED: rhel-6-server-rhevm-3.3-rpms is still enabled as indicated by subscription-manager

Comment 3 Udayendu Sekhar Kar 2014-07-23 02:28:36 UTC
Hi,

RHEV 3.4 repo is not available in redhat.repo file. I have tried deleting /etc/yum.repos.d/redhat.repo and running below commands but no changes:

# subscription-manager refresh 
# subscription-manager repos


Should I re-open this bug for 3.4 ?

Thanks,
Uday

Comment 4 John Sefler 2014-08-14 16:51:04 UTC
Here's what I suspect is happening (or not happening)...

Clearly you are following the instructions in the upgrade guide 19.2.3. Upgrading to Red Hat Enterprise Virtualization Manager 3.3, which is good.

There are a few hidden/automated steps that must happen before you can successfully access the new repo from your existing entitlement....
  
First, the release engineering team has to add the new repo content sets on the server....
rhel-6-server-rhevm-3.3-rpms
or
rhel-6-server-rhevm-3.4-rpms
or
rhel-6-server-rhevm-3.5-rpms
etc.

Second, a refresh pool event must be triggered on the owner of the RHEV subscription.  This should generate an event to revoke/replace the existing entitlement with a new one that contains the new content sets.

Third, a cert update trigger of rhsmcertd on the subscription-manager client (defaults to once every four hours) will check in with the server and determine that a new entitlement containing the new content sets should automatically be downloaded to replace the revoked one.

Fourth, now the user should be able to successfully follow the setup instructions as attempted in comment 0.

The fact that it did not work makes me think that either... 
1. the release engineering team has not yet added the new content sets to the subscription
2. or the refresh pool event for the owner is not happening on the candlepin server
3. or steps 1&2 did not happen more than four hours ago in which a subscription-manager refresh should work.


I my unconfirmed opinion, you are trying to access content that has not yet been published by release engineering.


Note You need to log in before you can comment on or make changes to this bug.